package org.omilab.semfis5x.base;

import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlValue;

public class Attribute {

	  @XmlAttribute(name="name")
	  private String name;
	  @XmlAttribute(name="type")
	  private String type;
	  @XmlValue
	  private String value;
	  
	  public Attribute()
	  {
	    this("Documentation", "String", null);
	  }
	  
	  public Attribute(String name, String type, String value)
	  {
	    this.name = name;
	    this.type = type;
	    this.value = value;
	  }
	  
	  public void setName(String name)
	  {
	    this.name = name;
	  }
	  
	  public void setType(String type)
	  {
	    this.type = type;
	  }
	  
	  public void setValue(String value)
	  {
	    this.value = value;
	  }
}
