package org.omilab.semfis5x.base;

import javax.xml.bind.annotation.XmlAttribute;

public class Iref {

	  @XmlAttribute(name="type")
	  private String type;
	  @XmlAttribute(name="tmodeltype")
	  private String tmodeltype;
	  @XmlAttribute(name="tmodelname")
	  private String tmodelname;
	  @XmlAttribute(name="tmodelver")
	  private String tmodelver;
	  @XmlAttribute(name="tclassname")
	  private String tclassname;
	  @XmlAttribute(name="tobjname")
	  private String tobjname;
	  
	  public Iref()
	  {
	    this("objectreference", null, null, null, null, null);
	  }
	  
	  public Iref(String tmodeltype, String tmodelname, String tmodelver)
	  {
	    this("modelreference", tmodeltype, tmodelname, tmodelver, null, null);
	  }
	  
	  public Iref(String tmodeltype, String tmodelname, String tmodelver, String tclassname, String tobjname)
	  {
	    this("objectreference", tmodeltype, tmodelname, tmodelver, tclassname, tobjname);
	  }
	  
	  public Iref(String type, String tmodeltype, String tmodelname, String tmodelver, String tclassname, String tobjname)
	  {
	    this.type = type;
	    this.tmodeltype = tmodeltype;
	    this.tmodelname = tmodelname;
	    this.tmodelver = tmodelver;
	    this.tclassname = tclassname;
	    this.tobjname = tobjname;
	  }
	  
	  public void setType(String type)
	  {
	    this.type = type;
	  }
	  
	  public void setTmodeltype(String tmodeltype)
	  {
	    this.tmodeltype = tmodeltype;
	  }
	  
	  public void setTmodelname(String tmodelname)
	  {
	    this.tmodelname = tmodelname;
	  }
	  
	  public void setTmodelver(String tmodelver)
	  {
	    this.tmodelver = tmodelver;
	  }
	  
	  public void setTclassname(String tclassname)
	  {
	    this.tclassname = tclassname;
	  }
	  
	  public void setTobjname(String tobjname)
	  {
	    this.tobjname = tobjname;
	  }
}
