package org.omilab.semfis5x.plugin;

import java.net.URL;

import javax.swing.ImageIcon;

import org.semanticweb.owlapi.model.IRI;
import org.semanticweb.owlapi.model.OWLAnnotationProperty;
import org.semanticweb.owlapi.model.OWLClass;
import org.semanticweb.owlapi.model.OWLNamedIndividual;
import org.semanticweb.owlapi.model.OWLProperty;
/**
 * Klasse welche ein item der Liste Class/Property/Individual festhaelt.
 * @author Manuel Gall, Claudia Gratz
 *
 */
public class ListItem {
	public String name;
	public IRI iri;
	public OWLClass myitem;
	public OWLProperty myitemprob;
	public OWLAnnotationProperty myitemprobanno;
	public OWLNamedIndividual myitemindividual;
	public boolean selected = false;
	private ImageIcon image;
	
//	private String path = new String(ListItem.class.getProtectionDomain().getCodeSource().getLocation().getPath());
	
	
	ListItem(String _name, IRI iri2, OWLClass _myitem){
		this.name = _name;
		this.iri = iri2;
		this.myitem = _myitem;
	}

	ListItem(String _name, IRI iri2, OWLProperty _myitem){
		this.name = _name;
		this.iri = iri2;
		this.myitemprob = _myitem;
	}

	ListItem(String _name, IRI iri2, OWLAnnotationProperty _myitem){
		this.name = _name;
		this.iri = iri2;
		this.myitemprobanno = _myitem;
	}

	ListItem(String _name, IRI iri2, OWLNamedIndividual _myitem){
		this.name = _name;
		this.iri = iri2;
		this.myitemindividual = _myitem;
	}

	@Override
	public String toString() {
		return name;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public boolean isSelected() {
		return selected;
	}

	public void setSelected(boolean selected) {
		this.selected = selected;
	}
	
	 public ImageIcon getImage() {
		 	if(selected){
		 			URL iconUrl = ListItem.class.getResource("hackerl.png");
		 			image = new ImageIcon(iconUrl);
		 	}
		 	else{
		 			URL iconUrl = ListItem.class.getResource("emtpy.png");
					image = new ImageIcon(iconUrl);
				
		 	}
		 	
		    return image;
		  }

	public IRI getIri() {
		return iri;
	}

	public void setIri(IRI iri) {
		this.iri = iri;
	}
}
